<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

						// Widgets area inside page content
						basil_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					basil_create_widgets_area('widgets_below_page');

					$basil_body_style = basil_get_theme_option('body_style');
					if ($basil_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$basil_footer_style = basil_get_theme_option("footer_style");
			if (strpos($basil_footer_style, 'footer-custom-')===0) $basil_footer_style = 'footer-custom';
			get_template_part( "templates/{$basil_footer_style}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (basil_is_on(basil_get_theme_option('debug_mode')) && file_exists(basil_get_file_dir('images/makeup.jpg'))) { ?>
		<img src="<?php echo esc_url(basil_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>