<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

get_header();

while ( have_posts() ) { the_post();

	get_template_part( 'content', get_post_format() );

	if(basil_get_theme_option('show_related_post') != 0){
	// Related posts.
	// You can specify style 1|2 in the second parameter
	basil_show_related_posts(array(
										'orderby' => 'post_date',	// put here 'rand' if you want to show posts in random order
										'order' => 'DESC',
										'numberposts' => 2
										), 2);
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
?>