<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php 
		$basil_mult = basil_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120*$basil_mult ); 
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h5 class="author_title" itemprop="name"><?php echo wp_kses_data('About ', 'basil').'<a class="author_link" href="'. esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ).'"><span class="fn">'.get_the_author().'</span>'; ?></a></h5>

		<div class="author_bio" itemprop="description">
			<?php echo wpautop(get_the_author_meta( 'description' )); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
