<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0.10
 */

// Copyright area
$basil_footer_scheme =  basil_is_inherit(basil_get_theme_option('footer_scheme')) ? basil_get_theme_option('color_scheme') : basil_get_theme_option('footer_scheme');
$basil_copyright_scheme = basil_is_inherit(basil_get_theme_option('copyright_scheme')) ? $basil_footer_scheme : basil_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($basil_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$basil_copyright = basil_prepare_macros(basil_get_theme_option('copyright'));
				if (!empty($basil_copyright)) {
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $basil_copyright, $basil_matches)) {
						$basil_copyright = str_replace($basil_matches[1], date(str_replace(array('{', '}'), '', $basil_matches[1])), $basil_copyright);
					}
					basil_show_layout(nl2br($basil_copyright));
				}
			?></div>
			<?php 	// Socials
	get_template_part( 'templates/footer-socials' );?>
		</div>
	</div>
</div>
