<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0.10
 */

$basil_footer_scheme =  basil_is_inherit(basil_get_theme_option('footer_scheme')) ? basil_get_theme_option('color_scheme') : basil_get_theme_option('footer_scheme');
$basil_footer_id = str_replace('footer-custom-', '', basil_get_theme_option("footer_style"));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($basil_footer_id); ?> scheme_<?php echo esc_attr($basil_footer_scheme); ?>">
	<?php
    // Custom footer's layout
    do_action('basil_action_show_layout', $basil_footer_id);
	?>
</footer><!-- /.footer_wrap -->
