<?php

add_filter( 'comment_form_default_fields', 'basil_replace_default_comment_form');
add_action( 'comment_form_logged_in_after', 'basil_additional_comment_fields' );
add_action( 'comment_form_after_fields', 'basil_additional_comment_fields' );
add_action( 'comment_form_after_fields', 'basil_additional_comment_fields2' );

function basil_replace_default_comment_form( $default ) {
	$commenter = wp_get_current_commenter();
	unset($default['url']);
	$basil_commenter = wp_get_current_commenter();
	$default['author'] = '<div class="comments_field comments_author">
	<input id="author" name="author" type="text" placeholder="'. esc_attr__('Your name *','basil') .'" value="' . (isset($basil_commenter['comment_author']) ? $basil_commenter['comment_author'] : ''). '" data-required="true" />
</div>';
$default['email'] = '<div class="comments_field comments_email">
<input id="email" name="email" type="text" placeholder="'. esc_attr__('Your E-mail *','basil') .'" value="' . (isset($basil_commenter['comment_author_email']) ? $basil_commenter['comment_author_email'] : ''). '" data-required="true" />
</div>';

return $default;
}

function basil_additional_comment_fields(){
	$commenter = wp_get_current_commenter();
	echo '<div class="comments_field comments_rating">'.
	'<label for="rating">'. esc_html__('Rating', 'basil') . '<span class="required">*</span></label>
	<span class="commentratingbox">';
		for( $i=1; $i <= 5; $i++ )
			echo '<span class="commentrating "><input type="radio" class="rating_field" name="rating" id="rating" value="'. $i .'"/>'. $i .'<span class="label_item"></span></span>';
		echo '</span></div>';
	}
	function basil_additional_comment_fields2(){
		echo '<div class="comments_field comments_author_location">
		<input id="location" name="location" type="text" placeholder="'
		. esc_html__('Where are you from?','basil') .'"vlaue=""/>
	</div>';	
}

if ( comments_open() ) {

	?>
	<section class="comments_wrap course_comments">
		<?php
		if ( comments_open() ) {
			?>
			<div class="comments_form_wrap">
				<h2 class="section_title comments_form_title"><?php esc_html_e('Add Your Review', 'basil'); ?></h2>
				<div class="comments_form">
					<?php
					$args = array(
						'comment_field' => '<div class="comments_field comments_author_textarea">
											<input type="hidden" name="post_type" value="cpt_course">
											<textarea id="comment" name="comment" placeholder="'. esc_attr__('Your review here *','basil') .'" data-required="true"></textarea>
											</div>',
						'comment_notes_after' =>'<p class="form-allowed-tags">' . sprintf( wp_kses_data( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s', 'basil' ) ), ' <code>' . allowed_tags() . '<img>' . '</code>' ) . '</p>'
					);
					comment_form($args);
					?>
				</div>
			</div><!-- /.comments_form_wrap -->
			<?php 
		}
		?>
	</section><!-- /.comments_wrap -->
	<?php 
}

?>