<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0.10
 */

$basil_footer_scheme =  basil_is_inherit(basil_get_theme_option('footer_scheme')) ? basil_get_theme_option('color_scheme') : basil_get_theme_option('footer_scheme');
?>
<footer class="footer_wrap footer_default scheme_<?php echo esc_attr($basil_footer_scheme); ?>">
	<?php

	// Footer widgets area
	get_template_part( 'templates/footer-widgets' );

	// Logo
	get_template_part( 'templates/footer-logo' );

	// Menu
	get_template_part( 'templates/footer-menu' );

	// Copyright area
	get_template_part( 'templates/footer-copyright' );
	
	?>
</footer><!-- /.footer_wrap -->
