<?php
/**
 * The template to display the course's single post
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */


get_header();
while ( have_posts() ) { the_post();
	$basil_isset_reviews = get_comments(array('post_id'=>get_the_ID(), 'status'=>'approve'));
	$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
	
	?>
	<article id="post-<?php the_ID(); ?>" <?php post_class( 'courses_single itemscope' ); ?>
		itemscope itemtype="//schema.org/Article">
		
		<section class="courses_page_header">	

			<h2 class="courses_page_title">
				<?php the_title(); ?>
				</h2>
				<?php
			// Image
				if ( has_post_thumbnail() ) {
					?><div class="courses_page_featured<?php echo esc_attr($basil_isset_reviews ? ' allowed_reviews' : ''); ?>">
					<?php
					the_post_thumbnail( trx_addons_get_thumb_size('huge'), array(
						'alt' => the_title_attribute( array( 'echo' => false ) ),
						'itemprop' => 'image'
						)
					);
					?>
				</div>
				<?php
			}

			if($basil_isset_reviews){
				basil_return_course_meta();
			}
			
			?>

			</section>
			<?php

		// Post content
			?><div class="courses_page_content entry-content" itemprop="articleBody"><?php
			if($basil_isset_reviews){
				$content = get_the_content();
					echo do_shortcode('[vc_tta_tabs]
					[vc_tta_section title="'. esc_attr__('Info','basil').'" tab_id="1480687113922-4d70086b-5739"]'.$content.'[/vc_tta_section]
					[vc_tta_section title="'. esc_attr__('Reviews','basil').'" tab_id="1480687113970-b3ffdb3d-8bc0"]'.
				 		basil_courses_reviews_list().'[/vc_tta_section]
					[/vc_tta_tabs]');
				} else{
					the_content();
				}
			?></div><!-- .entry-content --><?php
			?></article><?php

	// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) {
				comments_template();
			}
		}
		get_footer();
		?>